libzypp: zypp::PublicKeyData::Impl Class Reference

libzypp 17.38.8

zypp::PublicKeyData::Impl Class Reference

PublicKeyData implementation. More...

## Public Member Functions
bool | hasSubkeyId (const std::string &id_r) const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.
static shared_ptr< Impl > | fromGpgmeKey (gpgme_key_t rawData)

## Public Attributes
std::string | _id
std::string | _name
std::string | _fingerprint
std::string | _algoName
Date | _created
Date | _expires
std::vector< PublicSubkeyData > | _subkeys
std::vector< PublicKeySignatureData > | _signatures

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

PublicKeyData implementation.

Definition at line 295 of file PublicKey.cc.

## Member Function Documentation

## ◆ hasSubkeyId()

bool zypp::PublicKeyData::Impl::hasSubkeyId | ( | const std::string & | id_r | ) | const

Definition at line 321 of file PublicKey.cc.

## ◆ nullimpl()

shared_ptr< PublicKeyData::Impl > zypp::PublicKeyData::Impl::nullimpl | ( |  | ) |
| static

Offer default Impl.

Definition at line 333 of file PublicKey.cc.

## ◆ fromGpgmeKey()

shared_ptr< PublicKeyData::Impl > zypp::PublicKeyData::Impl::fromGpgmeKey | ( | gpgme_key_t | rawData | ) |
| static

Definition at line 339 of file PublicKey.cc.

## ◆ clone()

zypp::PublicKeyData::Impl * zypp::PublicKeyData::Impl::clone | ( |  | ) | const
| private

clone for RWCOW_pointer

Definition at line 386 of file PublicKey.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _id

std::string zypp::PublicKeyData::Impl::_id

Definition at line 297 of file PublicKey.cc.

## ◆ _name

std::string zypp::PublicKeyData::Impl::_name

Definition at line 298 of file PublicKey.cc.

## ◆ _fingerprint

std::string zypp::PublicKeyData::Impl::_fingerprint

Definition at line 299 of file PublicKey.cc.

## ◆ _algoName

std::string zypp::PublicKeyData::Impl::_algoName

Definition at line 300 of file PublicKey.cc.

## ◆ _created

Date zypp::PublicKeyData::Impl::_created

Definition at line 301 of file PublicKey.cc.

## ◆ _expires

Date zypp::PublicKeyData::Impl::_expires

Definition at line 302 of file PublicKey.cc.

## ◆ _subkeys

std::vector<PublicSubkeyData> zypp::PublicKeyData::Impl::_subkeys

Definition at line 304 of file PublicKey.cc.

## ◆ _signatures

std::vector<PublicKeySignatureData> zypp::PublicKeyData::Impl::_signatures

Definition at line 305 of file PublicKey.cc.

The documentation for this class was generated from the following file:

- zypp-common/PublicKey.cc